## QMI QMI |

## Functions

MbimMessage * | mbim_message_qmi_msg_set_new ()
gboolean | mbim_message_qmi_msg_response_parse ()
gboolean | mbim_message_qmi_msg_notification_parse ()

## Description

## Functions

### mbim_message_qmi_msg_set_new ()

    MbimMessage *
    mbim_message_qmi_msg_set_new (const guint32 qmi_msg_size,
                                  const guint8 *qmi_msg,
                                  GError **error);

Create a new request for the 'msg' set command in the 'QMI' service.

#### Parameters

qmi_msg_size | size of the qmi_msg array. | [in]
qmi_msg | the 'QmiMsg' field, given as an array of guint8 values. | [in][element-type guint8][array length=qmi_msg_size]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.14

### mbim_message_qmi_msg_response_parse ()

    gboolean
    mbim_message_qmi_msg_response_parse (const MbimMessage *message,
                                         guint32 *out_qmux_size,
                                         const guint8 **out_qmux,
                                         GError **error);

Parses and returns parameters of the 'msg' response command in the 'QMI' service.

#### Parameters

message | the MbimMessage. |
out_qmux_size | return location for the size of the qmux array. | [out][optional]
out_qmux | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array length=out_qmux_size]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.14

### mbim_message_qmi_msg_notification_parse ()

    gboolean
    mbim_message_qmi_msg_notification_parse
                                   (const MbimMessage *message,
                                    guint32 *out_qmux_size,
                                    const guint8 **out_qmux,
                                    GError **error);

Parses and returns parameters of the 'msg' notification command in the 'QMI' service.

#### Parameters

message | the MbimMessage. |
out_qmux_size | return location for the size of the qmux array. | [out][optional]
out_qmux | return location for an array of guint8 values. Do not free the returned value, it is owned by `message` . | [out][optional][transfer none][element-type guint8][array length=out_qmux_size]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.18